Bug 1201222 - Automated configuration of rhsm stuff of a content host fails in some use case
Summary: Automated configuration of rhsm stuff of a content host fails in some use case
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs User Guide
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Peter Ondrejka
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-12 11:13 UTC by Pavel Moravec
Modified: 2019-09-26 18:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22921, User Guide-6.0 Build Date: 08-10-2014 13:34:52 Topic ID: 11867-708768 [Latest]
Last Closed: 2015-07-27 08:40:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Moravec 2015-03-12 11:13:30 UTC
Title: Automated Configuration

Describe the issue:
The commands in 10.3.1 dont work on a freshly installed RHEL7.1 machine not subscribed to RHSM. yum command fails with "this system is not registered" and wget is not installed in RHEL7 minimal installation:

[root@pmoravec-rhel7 ~]# yum -y --nogpgcheck install http://pmoravec-rhel7-sat6.gsslab.brq.redhat.com/pub/katello-ca-consumer-pmoravec-rhel7-sat6.gsslab.brq.redhat.com-1.0-1.noarch.rpm
Loaded plugins: product-id, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
There are no enabled repos.
 Run "yum repolist all" to see the repos you have.
 You can enable repos with yum-config-manager --enable <repo>
[root@pmoravec-rhel7 ~]# wget http://pmoravec-rhel7-sat6.gsslab.brq.redhat.com/pub/katello-ca-consumer-pmoravec-rhel7-sat6.gsslab.brq.redhat.com-1.0-1.noarch.rpm
-bash: wget: command not found
[root@pmoravec-rhel7 ~]# 


Suggestions for improvement:
Why dont be aligned with capsule installation that covers this step via rpm command instead of yum? I.e.:

rpm -Uvh http://[hostname]/pub/katello-ca-consumer-[hostname]-1.0-1.noarch.rpm


Additional information:
There might be some reason for using yum (though I am not aware of any). If so, my suggested improvement should not be used.

Comment 1 RHEL Program Management 2015-04-21 16:05:36 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 2 Athene Chan 2015-05-05 05:19:42 UTC
Hi Pavel,

Thanks for the feedback. I'll lodge this as a possible 6.1 bug if we can fit it in. Might be moved to async or 6.2 depending on resource issues.

Cheers,
Athene


Note You need to log in before you can comment on or make changes to this bug.